# Uses of Enum
org.apache.trevni.ValueType

## Uses of ValueType in org.apache.trevni

Methods in org.apache.trevni that return ValueType
Modifier and Type
Method
Description
`static ValueType`
ValueType.`forName(String name)`
Return a type given its name.
`ValueType`
ColumnMetaData.`getType()`
Return this column's type.
`static ValueType`
ValueType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ValueType[]`
ValueType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.trevni with parameters of type ValueType
Modifier
Constructor
Description
``
`ColumnMetaData(String name, ValueType type)`
Construct given a name and type.